public class Spielbrett {
	private Spielstein[][] steine = new Spielstein[7][7];

	public int[] moeglicheZuege() {
		int[] tmp = new int[7];
		int amountMoves = 0;
		boolean movePossible=false;

		for (int index = 0; index < steine[0].length; ++index) {
			if (steine[0][index] == null) {
				tmp[amountMoves] = index + 1;
				++amountMoves;
				movePossible=true;
			}
		}
		if(!movePossible){
			return null;
		}
		return java.util.Arrays.copyOfRange(tmp, 0, amountMoves);
	}
	
	public int[][] moeglichePositionen(){
		int[][] tmp=new int[moeglicheZuege().length][2];
		int anzahl=0;
		for(int i:moeglicheZuege()){
			for(int x=6;x>=0;++x){
				if(getSteine()[i][x]==null){
					tmp[anzahl][0]=i;
					tmp[anzahl][1]=x;
					++anzahl;
				}
			}
		}
		
		return tmp;
	}

	public Spielstein[][] getSteine() {
		return steine;
	}

	public void setSteine(Spielstein[][] steine) {
		this.steine = steine;
	}
}
