public class Spiel {
	private Spielbrett brett;

	public void neuesSpiel() {
		brett = new Spielbrett();
	}

	public char sieger() {
		boolean rotSieg = false;
		boolean gelbSieg = false;
		Spielstein[][] tmp = brett.getSteine();

		// Vertikal berprfen
		for (int i = 0; i < tmp.length - 3; ++i) {
			for (int j = 0; j < tmp[i].length; ++j) {
				if (tmp[i][j] != null) {
					if (tmp[i + 1][j] != null) {
						if (tmp[i][j].rot == tmp[i + 1][j].rot) {
							if (tmp[i + 2][j] != null) {
								if (tmp[i][j].rot == tmp[i + 2][j].rot) {
									if (tmp[i + 3][j] != null) {
										if (tmp[i][j].rot == tmp[i + 3][j].rot) {
											if (tmp[i][j].rot) {
												rotSieg = true;
											} else {
												gelbSieg = true;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

		// Horizontal berprfen
		for (int i = 0; i < tmp.length; ++i) {
			for (int j = 0; j < tmp[i].length - 3; ++j) {
				if (tmp[i][j] != null) {
					if (tmp[i][j + 1] != null) {
						if (tmp[i][j].rot == tmp[i][j + 1].rot) {
							if (tmp[i][j + 2] != null) {
								if (tmp[i][j].rot == tmp[i][j + 2].rot) {
									if (tmp[i][j + 3] != null) {
										if (tmp[i][j].rot == tmp[i][j + 3].rot) {
											if (tmp[i][j].rot) {
												rotSieg = true;
											} else {
												gelbSieg = true;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

		// Diagonal (Rechts-Runter bzw. Links-Hoch) berprfen
		for (int i = 0; i < tmp.length - 3; ++i) {
			for (int j = 0; j < tmp[i].length - 3; ++j) {
				if (tmp[i][j] != null) {
					if (tmp[i + 1][j + 1] != null) {
						if (tmp[i][j].rot == tmp[i + 1][j + 1].rot) {
							if (tmp[i + 2][j + 2] != null) {
								if (tmp[i][j].rot == tmp[i + 2][j + 2].rot) {
									if (tmp[i + 3][j + 3] != null) {
										if (tmp[i][j].rot == tmp[i + 3][j + 3].rot) {
											if (tmp[i][j].rot) {
												rotSieg = true;
											} else {
												gelbSieg = true;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

		// Diagonal (Rechts-Hoch bzw. Links-Runter) berprfen
		for (int i = tmp.length - 1; i > 3; --i) {
			for (int j = 0; j < tmp.length - 3; ++j) {
				if (tmp[i][j] != null) {
					if (tmp[i - 1][j + 1] != null) {
						if (tmp[i][j].rot == tmp[i - 1][j + 1].rot) {
							if (tmp[i - 2][j + 2] != null) {
								if (tmp[i][j].rot == tmp[i - 2][j + 2].rot) {
									if (tmp[i - 3][j + 3] != null) {
										if (tmp[i][j].rot == tmp[i - 3][j + 3].rot) {
											if (tmp[i][j].rot) {
												rotSieg = true;
											} else {
												gelbSieg = true;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

		if (rotSieg) {
			return 'R';
		}
		if (gelbSieg) {
			return 'G';
		}
		return 'N';
	}
	
	public void zug(boolean rotAmZug,int input){
			for(int i=0;i<getSteine().length-1;++i){
				if(getSteine()[i+1][input-1]!=null){
					getSteine()[i][input-1]=new Spielstein(rotAmZug);
					break;
				}
				if(i==5){
					getSteine()[i+1][input-1]=new Spielstein(rotAmZug);
				}
			}
	}
	
	public Spielbrett getBrett(){
		return brett;
	}
	
	public Spielstein[][] getSteine(){
		return brett.getSteine();
	}
	
	public int[] moeglicheZuege(){
		return brett.moeglicheZuege();
	}
	
	public int[][] moeglichePositionen(){
		return brett.moeglichePositionen();
	}
	
	public Spiel klonen(Spiel original){
		Spiel tmp=new Spiel();
		tmp.neuesSpiel();
		for(int i=0;i<tmp.getSteine().length;++i){
			for(int j=0;j<tmp.getSteine()[i].length;++j){
				if(original.getSteine()[i][j]!=null){
					tmp.getSteine()[i][j]=original.getSteine()[i][j];
				}
			}
		}
		return tmp;
	}
}